--- /dev/null	Fri Nov 22 15:20:57 2013
+++ new/usr/src/test/zfs-tests/tests/functional/migration/migration.cfg	Fri Nov 22 15:20:57 2013
@@ -0,0 +1,66 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+#
+# Copyright (c) 2013 by Delphix. All rights reserved.
+#
+
+. $STF_SUITE/include/libtest.shlib
+
+set -A disk_array $(find_disks $DISKS)
+case "${#disk_array[*]}" in
+0)
+	DISK_COUNT=0
+	;;
+1)
+	# We need to repartition the single disk to two slices.
+	DISK_COUNT=1
+	ZFS_DISK=${disk_array[0]}
+	SINGLE_DISK=$ZFS_DISK
+	NONZFS_DISK=$ZFS_DISK
+	ZFSSIDE_DISK=${SINGLE_DISK}s0
+	NONZFSSIDE_DISK=${SINGLE_DISK}s1
+	;;
+*)
+	# In this case there are at least enough disks to use.
+	DISK_COUNT=2
+	ZFS_DISK=${disk_array[0]}
+	NONZFS_DISK=${disk_array[1]}
+	ZFSSIDE_DISK=${ZFS_DISK}s0
+	NONZFSSIDE_DISK=${NONZFS_DISK}s0
+	;;
+esac
+
+export DISK_COUNT ZFS_DISK NONZFS_DISK SINGLE_DISK ZFSSIDE_DISK NONZFSSIDE_DISK
+
+export TESTFILE=/etc/passwd
+export NONZFS_TESTDIR=$TESTDIR/nonzfstestdir
+tmp=`$SUM $TESTFILE`
+export SUMA=`$ECHO $tmp | $AWK '{print $1}'`
+export SUMB=`$ECHO $tmp | $AWK '{print $2}'`
+export FS_SIZE=1g
+export BNAME=`$BASENAME $TESTFILE`
+export DNAME=`$DIRNAME $TESTFILE`
